/* PIANOKEY_H
 * CLASS DECLARATION
 *
 * CHANGLOG:
 * NAME:            |   CHANGES:                                                |   DATE:           |
 * Mewes, Lars      | Neuerstellung                                             | 24.09.2021        |
 *                  |                                                           |                   |
 *                  |                                                           |                   |
 *                  |                                                           |                   |
 *
 * DESCRIPTION:
 * Diese Klasse enthält analog zu "CircleElement" alle Bestandteile einer Klaviertaste.
 *
 * TO-DOs:
 * Beschriftung auf den Tasten ergänzen
 *
 */
#pragma once

#include <QGraphicsRectItem>
#include <QString>

#include "Tone.h"

class PianoKey: public QObject, public QGraphicsRectItem{
    Q_OBJECT

    Tone * tone;
public:

    PianoKey(QString _tone, int pos, QColor _col, bool flatTone = true);
    PianoKey(Tone * tone);
    virtual ~PianoKey();

    Tone * getTone()const;

public slots:
    void redraw();
};
